Bug 50748 - Can't ask installer to use fb for graphical installation
Can't ask installer to use fb for graphical installation
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-08-02 16:04 EDT by Alexandre Oliva
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-03 11:52:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2001-08-02 16:04:50 EDT
Description of Problem:
Older versions of the installer would use the frame buffer device for the
graphical installation, which was great in case the video card was not
properly supported by X.  The new installer attempts to auto-detect the
video card.  In case the driver is faulty, as is the case with the GeForce
2 GO that came with my Dell Inspiron 8000, the installer displays odd,
useless patterns on the screen, and I have to reboot to get the screen sane
again (C-A-F2 won't get me back to text mode).
Of course, I can do the installation in text mode, but it would be nice if
I had the option of using the portable frame buffer mechanism again.
Oh, and perhaps it's time to remove the nofb option from the installer boot
prompt, now that we no longer use fb.
Comment 1 Michael Fulbright 2001-08-02 16:36:24 EDT
How did you boot into the installer? If you are in frame buffer mode when stage2
of the installer runs then it will attempt to use the XF86_FBDev server first.

Boot into the installer and goto VC2 and cat /proc/cmdline and confirm there is
a vga=xxx appended.
Comment 2 Alexandre Oliva 2001-08-02 16:48:04 EDT
It seems that general.msg needs to be updated, then, informing the user about
the need for passing the vga mode to use the fb and avoid video card auto
detection.  I hadn't realized I had to explicitly pass the vga mode now, and
just assumed it was totally out-of-date, given that it no longer used the frame
buffer mode.
Comment 3 Michael Fulbright 2001-08-03 11:52:16 EDT
You should not have to pass the vga=xxx, look at the syslinux.cfg file and see
if the boot target you chose has vga=xxx.

I was asking for you to see if it got passed.  I have no problem having it work
out of the box so there must be something different about your setup that we
need to identify so we can fix the code.
Comment 4 Alexandre Oliva 2001-08-03 16:41:04 EDT
Ok, you caught me cheating again :-)

I had extracted vmlinuz and initrd.img from the bootnet.img floppy disk, and
added them as a boot option in lilo, because I had left the floppy drive of the
laptop at home.  I had failed to add the default `linux' options from
syslinux.cfg to the boot options, though, so vga=788 hadn't been passed.

The only thing I have to say in my defense is that, in previous versions of Red
Hat Linux, the procedure I described above worked on other machines, without
passing any arguments to the install kernel.  Perhaps it was not using the frame
buffer device then, and I hadn't noticed?
Comment 5 Mike A. Harris 2001-10-20 19:00:59 EDT
Additional datapoint

Date: Sat, 20 Oct 2001 14:39:19 -0700 (PDT)
From: Mark Vojkovich <mvojkovich@nvidia.com>
To: XFree86 devel list <devel@xfree86.org>
Content-Type: TEXT/PLAIN; charset=US-ASCII
Subject: Re: Nvidia status document:
On Sat, 20 Oct 2001, Thomas Witzel wrote:
> What means GeForce2 Go is not supported ? XFree runs on mine...
   Some people have said the Toshiba laptops work with the "nv" driver.
I've never seen it work, and frankly, I don't see how it can.  It
certainly doesn't work on the one we have here.  Must be some sort
of bios miracle you are seeing.  The "nv" driver definitely does not
support the GeForce2 Go in terms of having code required to make
it work for the general case.

Note You need to log in before you can comment on or make changes to this bug.